%define major 0
%define apiver 1
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.34.0
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=pixman.git
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries
Obsoletes:	%{_lib}pixman-1_0 < 0.22.0

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pixman-1-devel < 0.22.0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q

%build


%configure2_5x --enable-docs=no --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std


rm -f %{buildroot}%{_libdir}/*.la


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

#run it again
%posttrans -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 03 2016 adrianomorselli <adrianomorselli> 0.34.0-1uplos2016
- rebuild

* Wed Jul 20 2016 bb <bb> 0.34.0-1pclos2016
- update

* Sun Oct 25 2015 bb <bb> 0.33.4-1pclos2015
- update

* Sun Aug 09 2015 bb <bb> 0.33.2-1pclos2015
- update

* Tue Jul 22 2014 bb <bb> 0.32.6-1pclos2014
- update

* Tue Feb 11 2014 bb <bb> 0.32.4-1pclos2014
- update
